Update agent data collection variable
Update agent data collection variable. See the OpenAPI-defined parameters, request body, and responses below.
PUT
/AgentDataCollection/{id}Update agent data collection variable. See the OpenAPI-defined parameters, request body, and responses below.
OpenAPI description: Este endpoint atualiza os dados de uma variável de coleta de dados de agente existente identificada pelo id.
Authentication
Authentication required. Send your user API key in the X-API-Key header.
Parameters
| Name | Location | Type | Required | Description | Constraints |
|---|---|---|---|---|---|
id | path | integer · int32 | Yes | — | — |
Request body
Content type: application/json · Schema: AgentDataCollectionDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
value | string | No | — | nullable |
agentId | integer · int32 | No | — | — |
Example request
curl --request PUT \
--url 'https://api.zild.ai/AgentDataCollection/{id}' \
--header 'X-API-Key: YOUR_USER_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"id": 0,
"name": "string",
"value": "string",
"agentId": 0
}'
Responses
| Status | Description | Response body |
|---|---|---|
200 | Ferramenta atualizada com sucesso | No response body is defined. |
Data models
AgentDataCollectionDto
| Property | Type | Required | Description | Constraints |
|---|---|---|---|---|
id | integer · int32 | No | — | — |
name | string | No | — | nullable |
value | string | No | — | nullable |
agentId | integer · int32 | No | — | — |